// deno-lint-ignore-file no-explicit-any
import { Activity } from '../types/appapi.dto.types.ts'

export const LocalTimedEvent = {
  'name': 'RealTimedEvent',
  'description':
    '<p>Jeden Dienstag (bis auf eine Sommer- und Winterpause) zeigt der Verein Allerweltskino e.V. im Kölner Filmtheater Off Broadway einen Nachhaltigkeitsfilm. Das Programm ist im Internet abrufbar (siehe Kasten rechts).</p>',
  'resultType': 'ACTIVITY',
  'activity': {
    'id': 4610,
    'name': 'RealTimedEvent',
    'description':
      '<p>Jeden Dienstag (bis auf eine Sommer- und Winterpause) zeigt der Verein Allerweltskino e.V. im Kölner Filmtheater Off Broadway einen Nachhaltigkeitsfilm. Das Programm ist im Internet abrufbar (siehe Kasten rechts).</p>',
    'sustainableDevelopmentGoals': [
      4,
      17,
    ],
    'impactArea': 'LOCAL',
    'contact': {
      'lastName': 'Flock',
      'firstName': 'Dardin',
      'position': '',
      'email': 'somedude@ontheinternets.de',
      'phone': '',
      'image': null,
    },
    'location': {
      'address': {
        'name': 'Off Broadway Filmtheater',
        'street': 'Bahnhofstr.',
        'streetNo': '41',
        'supplement': 'Hinterhof',
        'zipCode': '50674',
        'city': 'Köln',
        'state': 'Nordrhein-Westfalen',
        'country': null,
      },
      'online': false,
      'privateLocation': false,
      'url': 'https://www.allerweltskino.de',
      'coordinate': {
        'type': 'Point',
        'coordinates': [
          50.9296771,
          6.93787246,
        ],
      },
    },
    'thematicFocus': [
      'SUSTAINABLE_BUILDING',
      'INTERNATIONAL_RESPONSIBILITY',
      'GENDER_EQUITY',
      'URBAN_DEVELOPMENT',
      'SUSTAINABLE_BUSINESS',
      'SUSTAINABLE_FINANCE',
      'CULTURAL_SOCIAL_CHANGE',
      'AGRICULTURE',
      'BIODIVERSITY',
      'SUSTAINABLE_LIFESTYLE',
      'MOBILITY',
      'HUMAN_RIGHTS',
      'TOURISM',
      'SOCIAL_JUSTICE',
      'PARTICIPATION',
      'PEACE',
      'SUSTAINABLE_GOVERNANCE',
      'CIRCULAR_ECONOMY',
      'CLIMATE_PROTECTION',
    ],
    'activityType': 'EVENT',
    'externalId': null,
    'registerUrl': 'https://www.allerweltskino.de',
    'approvedUntil': null,
    'period': {
      'permanent': false,
      'start': '2025-03-26T00:00:00+01:00',
      'end': '2025-03-26T00:00:00+01:00',
    },
    'logo': '1f32e2bd-0557-408b-a4aa-90f264e8034e.png',
    'image': 'activities/act5.jpg',
    'socialMediaContacts': [
      {
        'type': 'INSTAGRAM',
        'contact': 'https://www.instagram.com/allerweltskino',
      },
      {
        'type': 'FACEBOOK',
        'contact': 'https://www.facebook.com/pages/Allerweltskino/',
      },
    ],
    'bannerImageMode': 'cover',
    'organisation': {
      'id': 1809,
      'name': 'Allerweltskino e.V.',
      'logo': null,
      'image': 'a41d2e24-6aee-4462-88e4-96bfb2c5e56e.png',
    },
  },
  'location': {
    'address': {
      'name': 'Off Broadway Filmtheater',
      'street': 'Bahnhofstr.',
      'streetNo': '41',
      'supplement': 'Hinterhof',
      'zipCode': '50674',
      'city': 'Köln',
      'state': 'Nordrhein-Westfalen',
      'country': null,
    },
    'online': false,
    'privateLocation': false,
    'url': 'https://www.allerweltskino.de',
    'coordinate': {
      'type': 'Point',
      'coordinates': [
        50.9296771,
        6.93787246,
      ],
    },
  },
}

export const LocalPermanentEvent = {
  'name': 'RealPermanentEvent',
  'description':
    '<p>Kindergruppen (Kita und Grundschulklassen) erleben im Laufe eines Jahres die Natur. Die Kinder erfahren den Wechsel der Jahreszeiten, lernen Tiere und Pflanzen kennen und erleben die Natur mit allen Sinnen. Eine fest gebuchte naturpädagogische Fachkraft leitet von August bis Juni (Kita-/Schuljahr) eine Kindergruppe nach 8 ausgewählten Themen unseres Angebotes. Als Veranstaltungsort können Sie den Höltigbaum wählen, oder wir kommen in Ihre Einrichtung.</p><p>Das Projekt ist als „Hamburg lernt Nachhaltigkeit“-Maßnahme der Behörde für Umwelt, Klima, Energie und Agrarwirtschaft anerkannt. Wir führen das Projekt in ganz Hamburg durch.</p><p>Die Größe ist je Kitagruppe auf 12 Kinder beschränkt. Bitte sprechen Sie uns an!</p><p>Kosten: auf Nachfrage</p><p>Information und Anmeldung: <a target="_blank" rel="noopener noreferrer nofollow" href="mailto:umweltbildung@haus-der-wilden-weiden.de">umweltbildung@haus-der-wilden-weiden.de</a>, Tel. 040 / 18 04 48 60 13</p>',
  'resultType': 'ACTIVITY',
  'activity': {
    'id': 452,
    'name': 'RealPermanentEvent',
    'description':
      '<p>Kindergruppen (Kita und Grundschulklassen) erleben im Laufe eines Jahres die Natur. Die Kinder erfahren den Wechsel der Jahreszeiten, lernen Tiere und Pflanzen kennen und erleben die Natur mit allen Sinnen. Eine fest gebuchte naturpädagogische Fachkraft leitet von August bis Juni (Kita-/Schuljahr) eine Kindergruppe nach 8 ausgewählten Themen unseres Angebotes. Als Veranstaltungsort können Sie den Höltigbaum wählen, oder wir kommen in Ihre Einrichtung.</p><p>Das Projekt ist als „Hamburg lernt Nachhaltigkeit“-Maßnahme der Behörde für Umwelt, Klima, Energie und Agrarwirtschaft anerkannt. Wir führen das Projekt in ganz Hamburg durch.</p><p>Die Größe ist je Kitagruppe auf 12 Kinder beschränkt. Bitte sprechen Sie uns an!</p><p>Kosten: auf Nachfrage</p><p>Information und Anmeldung: <a target="_blank" rel="noopener noreferrer nofollow" href="mailto:umweltbildung@haus-der-wilden-weiden.de">umweltbildung@haus-der-wilden-weiden.de</a>, Tel. 040 / 18 04 48 60 13</p>',
    'sustainableDevelopmentGoals': [
      4,
      14,
      15,
    ],
    'impactArea': 'REGIONAL',
    'contact': {
      'lastName': 'Ballara',
      'firstName': 'Lutz',
      'position': 'Umweltbildung',
      'email': 'umweltbildung@asdomasdo.tlü',
      'phone': '010-11 01 41 61 11',
      'image': null,
    },
    'location': {
      'address': {
        'name': 'Stiftung Natur im Norden',
        'street': 'Eichberg',
        'streetNo': '12',
        'supplement': null,
        'zipCode': '22143',
        'city': 'Hamburg',
        'state': 'Hamburg',
        'country': 'DE',
      },
      'online': false,
      'privateLocation': null,
      'url': 'https://www.hoeltigbaum.de/startseite',
      'coordinate': {
        'type': 'Point',
        'coordinates': [
          53.6154552,
          10.18532031,
        ],
      },
    },
    'thematicFocus': [
      'BIODIVERSITY',
      'AGRICULTURE',
    ],
    'activityType': 'EVENT',
    'externalId': null,
    'registerUrl': null,
    'approvedUntil': null,
    'period': {
      'permanent': true,
      'start': null,
      'end': null,
    },
    'logo': '0d6498e1-596f-416b-88c5-571eb4ca3524.jpg',
    'image': 'activities/act5.jpg',
    'socialMediaContacts': [
      {
        'type': 'FACEBOOK',
        'contact': 'https://www.facebook.com/hausderwildenweiden',
      },
      {
        'type': 'INSTAGRAM',
        'contact': 'https://www.instagram.com/haus_der_wilden_weiden/',
      },
    ],
    'bannerImageMode': null,
    'organisation': {
      'id': 1056,
      'name': 'Haus der Wilden Weiden',
      'logo': '57d72297-2c9c-4ddd-a3b3-6164a490dfbd.jpg',
      'image': 'deebd5d7-3460-4d2d-b302-d7365ae87873.jpg',
    },
  },
  'location': {
    'address': {
      'name': 'Stiftung Natur im Norden',
      'street': 'Eichberg',
      'streetNo': '12',
      'supplement': null,
      'zipCode': '22143',
      'city': 'Hamburg',
      'state': 'Hamburg',
      'country': 'DE',
    },
    'online': false,
    'privateLocation': null,
    'url': 'https://www.hoeltigbaum.de/startseite',
    'coordinate': {
      'type': 'Point',
      'coordinates': [
        53.6154552,
        10.18532031,
      ],
    },
  },
}

export const OnlineTimedEvent = {
  'name': 'OnlineTimedEvent',
  'description':
    '<p>Sie haben bereits einen internationalen Berufs- oder Studienabschluss? Sie möchten beruflich neu starten? Sie suchen einen Job mit Sinn?</p><p>In unserer 20-wöchigen Weiterbildung <a target="_blank" rel="noopener noreferrer nofollow" href="https://life-online.de/weiterbildung-energie-ist-zukunft/"><strong>„Energie ist Zukunft“&nbsp;&nbsp;</strong></a>für Frauen mit Migrationsgeschichte erwerben Sie aktuelles Wissen zu den wichtigen Themen unserer Zeit rund um Grüne Arbeitswelt, Energieeffizienz, nachhaltige Digitalisierung.</p><p>Dabei vernetzen Sie sich mit Frauen aus ganz Deutschland. Außerdem lernen Sie Unternehmen und beruflich erfolgreiche Role Models kennen.</p><p><strong>Kurszeiten: 11.11.2024 – 28.03.2025</strong> (inklusive 2 Wochen Ferien zum Jahreswechsel)</p><p><a target="_blank" rel="noopener noreferrer nofollow" href="https://life-online.de/online-bewerbung-energie-ist-zukunft/"><strong>Bewerben</strong></a> Sie sich schnell und sichern Sie sich so eine Chance auf einen der begehrten Plätze.</p>',
  'resultType': 'ACTIVITY',
  'activity': {
    'id': 7309,
    'name': 'OnlineTimedEvent',
    'description':
      '<p>Sie haben bereits einen internationalen Berufs- oder Studienabschluss? Sie möchten beruflich neu starten? Sie suchen einen Job mit Sinn?</p><p>In unserer 20-wöchigen Weiterbildung <a target="_blank" rel="noopener noreferrer nofollow" href="https://life-online.de/weiterbildung-energie-ist-zukunft/"><strong>„Energie ist Zukunft“&nbsp;&nbsp;</strong></a>für Frauen mit Migrationsgeschichte erwerben Sie aktuelles Wissen zu den wichtigen Themen unserer Zeit rund um Grüne Arbeitswelt, Energieeffizienz, nachhaltige Digitalisierung.</p><p>Dabei vernetzen Sie sich mit Frauen aus ganz Deutschland. Außerdem lernen Sie Unternehmen und beruflich erfolgreiche Role Models kennen.</p><p><strong>Kurszeiten: 11.11.2024 – 28.03.2025</strong> (inklusive 2 Wochen Ferien zum Jahreswechsel)</p><p><a target="_blank" rel="noopener noreferrer nofollow" href="https://life-online.de/online-bewerbung-energie-ist-zukunft/"><strong>Bewerben</strong></a> Sie sich schnell und sichern Sie sich so eine Chance auf einen der begehrten Plätze.</p>',
    'sustainableDevelopmentGoals': [
      4,
      5,
      7,
      12,
      13,
    ],
    'impactArea': null,
    'contact': {
      'lastName': 'Horst',
      'firstName': 'Kara',
      'position': '',
      'email': 'asdasd@afoasf.tld',
      'phone': '',
      'image': null,
    },
    'location': {
      'address': {
        'name': '',
        'street': '',
        'streetNo': '',
        'supplement': '',
        'zipCode': '',
        'city': '',
        'state': null,
        'country': null,
      },
      'online': true,
      'privateLocation': false,
      'url': 'https://life-online.de/weiterbildung-energie-ist-zukunft/',
      'coordinate': null,
    },
    'thematicFocus': [
      'DIGITALIZATION',
      'SUSTAINABLE_BUSINESS',
      'CIRCULAR_ECONOMY',
      'CLIMATE_PROTECTION',
    ],
    'activityType': 'EVENT',
    'externalId': null,
    'registerUrl': 'https://life-online.de/weiterbildung-energie-ist-zukunft/',
    'approvedUntil': null,
    'period': {
      'permanent': false,
      'start': '2024-11-11T00:00:00+01:00',
      'end': '2025-03-28T00:00:00+01:00',
    },
    'logo': '0d1e3f91-c922-463e-aac6-092589bb8254.png',
    'image': 'c5ef8ed0-df35-4811-8793-79e1a13a4055.jpg',
    'socialMediaContacts': [
      {
        'type': 'LINKEDIN',
        'contact': 'https://de.linkedin.com/company/life-e-v-',
      },
      {
        'type': 'INSTAGRAM',
        'contact': 'https://life-online.de/instagram/',
      },
      {
        'type': 'FACEBOOK',
        'contact': 'https://www.facebook.com/life.berlin',
      },
    ],
    'bannerImageMode': 'contain',
    'organisation': {
      'id': 1793,
      'name': 'LIFE Bildung Umwelt Chancengleichheit',
      'logo': 'e22b3925-a0b9-4f94-a73b-20919aa21672.png',
      'image': '6b13d42e-364e-4450-b27f-aed71dbdea41.jpg',
    },
  },
  'location': {
    'address': {
      'name': '',
      'street': '',
      'streetNo': '',
      'supplement': '',
      'zipCode': '',
      'city': '',
      'state': null,
      'country': null,
    },
    'online': true,
    'privateLocation': false,
    'url': 'https://life-online.de/weiterbildung-energie-ist-zukunft/',
    'coordinate': {
      'type': 'Point',
      'coordinates': [
        52.1660503,
        13.3314034,
      ],
    },
  },
}

export const OnlinePermanentEvent = {
  'name': 'OnlinePermanentEvent',
  'description':
    '<p>Wie können private Haushalte ihren Konsum nachhaltiger und kreislauffähiger gestalten? Dieser Frage geht die VERBRAUCHER INITIATIVE e.V. aktuell gemeinsam mit zehn europäischen Partnerorganisationen im Forschungsprojekt CARE nach. Für eine mehrmonatige Pilotstudie werden nun Testhaushalte aus dem Raum Berlin gesucht.</p><p>Ziel von CARE (<a target="_blank" rel="noopener noreferrer nofollow" href="http://www.circularhouseholds.eu">www.circularhouseholds.eu</a>) ist es, europäische Verbraucherinnen und Verbraucher dabei zu unterstützen, ein kreislauffähigeres und ressourcenschonenderes Leben führen zu können. Von Beginn an setzte das seit Januar 2024 von der Europäischen Kommission geförderte Projekt daher auf die aktive Einbindung echter Haushalte zur Erprobung wirksamer Maßnahmen und Beratungsangebote. Der Fokus liegt auf Lebensmitteln und Kleidung, zwei Konsumbereichen mit erheblichem Potenzial zur Abfallreduktion.</p><p>Testhaushalte gesucht!</p><p>Ab sofort werden für die Durchführung einer mehrmonatigen Pilotstudie (Start September 2025) Haushalte aus dem Raum Berlin gesucht, die bereit sind, Neues auszuprobieren und ihre Ernährungs- oder Kleidungsgewohnheiten nachhaltig zu verändern.</p><p>Interessierte erhalten unter <a target="_blank" rel="noopener noreferrer nofollow" href="https://forms.office.com/e/9H7KC1m8E3">https://forms.office.com/e/9H7KC1m8E3</a> weitere Informationen und können sich für die kostenlose Teilnahme anmelden.</p>',
  'resultType': 'ACTIVITY',
  'activity': {
    'id': 7455,
    'name': 'OnlinePermanentEvent',
    'description':
      '<p>Wie können private Haushalte ihren Konsum nachhaltiger und kreislauffähiger gestalten? Dieser Frage geht die VERBRAUCHER INITIATIVE e.V. aktuell gemeinsam mit zehn europäischen Partnerorganisationen im Forschungsprojekt CARE nach. Für eine mehrmonatige Pilotstudie werden nun Testhaushalte aus dem Raum Berlin gesucht.</p><p>Ziel von CARE (<a target="_blank" rel="noopener noreferrer nofollow" href="http://www.circularhouseholds.eu">www.circularhouseholds.eu</a>) ist es, europäische Verbraucherinnen und Verbraucher dabei zu unterstützen, ein kreislauffähigeres und ressourcenschonenderes Leben führen zu können. Von Beginn an setzte das seit Januar 2024 von der Europäischen Kommission geförderte Projekt daher auf die aktive Einbindung echter Haushalte zur Erprobung wirksamer Maßnahmen und Beratungsangebote. Der Fokus liegt auf Lebensmitteln und Kleidung, zwei Konsumbereichen mit erheblichem Potenzial zur Abfallreduktion.</p><p>Testhaushalte gesucht!</p><p>Ab sofort werden für die Durchführung einer mehrmonatigen Pilotstudie (Start September 2025) Haushalte aus dem Raum Berlin gesucht, die bereit sind, Neues auszuprobieren und ihre Ernährungs- oder Kleidungsgewohnheiten nachhaltig zu verändern.</p><p>Interessierte erhalten unter <a target="_blank" rel="noopener noreferrer nofollow" href="https://forms.office.com/e/9H7KC1m8E3">https://forms.office.com/e/9H7KC1m8E3</a> weitere Informationen und können sich für die kostenlose Teilnahme anmelden.</p>',
    'sustainableDevelopmentGoals': [
      3,
      12,
      13,
    ],
    'impactArea': null,
    'contact': {
      'lastName': 'Döpfner',
      'firstName': 'Horst',
      'position': 'Referatsleitung Nachhaltigkeit',
      'email': 'dolle@emailaddi.tlü',
      'phone': '',
      'image': 'b2c97b84-abf8-4fca-a40f-07ff830dfb16.jpg',
    },
    'location': {
      'address': {
        'name': '',
        'street': '',
        'streetNo': '',
        'supplement': '',
        'zipCode': '',
        'city': '',
        'state': null,
        'country': null,
      },
      'online': true,
      'privateLocation': false,
      'url': 'https://www.circularhouseholds.eu/',
      'coordinate': null,
    },
    'thematicFocus': [
      'SUSTAINABLE_LIFESTYLE',
      'CIRCULAR_ECONOMY',
    ],
    'activityType': 'EVENT',
    'externalId': null,
    'registerUrl': 'https://somesupersecretlink',
    'approvedUntil': null,
    'period': {
      'permanent': true,
      'start': null,
      'end': null,
    },
    'logo': '137e4068-b9b4-4378-b685-ac315051204b.png',
    'image': '4a8ad821-3797-4577-a55d-57339e5a2111.png',
    'socialMediaContacts': [
      {
        'type': 'INSTAGRAM',
        'contact': 'https://www.instagram.com/care_circularhouseholds',
      },
    ],
    'bannerImageMode': 'contain',
    'organisation': {
      'id': 1816,
      'name': 'VERBRAUCHER INITIATIVE e.V. (Bundesverband)',
      'logo': '94193fb4-06a1-47d7-bf0d-b5e87d65d5f9.png',
      'image': 'organisations/org4.png',
    },
  },
  'location': {
    'address': {
      'name': '',
      'street': '',
      'streetNo': '',
      'supplement': '',
      'zipCode': '',
      'city': '',
      'state': null,
      'country': null,
    },
    'online': true,
    'privateLocation': false,
    'url': 'https://www.circularhouseholds.eu/',
    'coordinate': {
      'type': 'Point',
      'coordinates': [
        52.5689444,
        13.40085826,
      ],
    },
  },
}

export const LocalTimedActivity: Activity = {
  'id': 1234,
  'createdBy': 'f5186f93-5a19-4643-b019-927232e45665',
  'lastModifiedBy': 'f5186f93-5a19-4643-b019-927232e45665',
  'createdAt': '2023-09-01T08:29:54.704843+02:00',
  'modifiedAt': '2023-09-01T08:29:54.704843+02:00',
  'name': 'Einstiegskurs Löten',
  'description':
    '<p>Beim Reparieren elektrischer Geräte kommt früher oder später oft der Punkt, an dem gelötet werden muss. In diesem Workshop können Sie lernen und üben, richtig mit Lötkolben und Zinn umzugehen. Es ist kein Vorwissen nötig. Wenn die Grundlagen geklärt sind, können wir uns gemeinsam zu verschiedenen Anwendungsfeldern vortasten - je nachdem wofür Sie sich besonders interessiert. Dafür können Sie auch eigene Lötprojekte mitbringen (Beispiele: Kabel mit Wackelkontakt, z.B. von Kopfhörern oder Audiokabeln, kleine Geräte diverser Art wie Akku-Fahrradbeleuchtung, Lichterketten oder auch Stirnlampen/Taschenlampen).</p>',
  'sustainableDevelopmentGoals': [
    12,
    13,
  ],
  'impactArea': 'LOCAL',
  'contact': {
    'lastName': 'Binternagel',
    'firstName': 'Manuel',
    'position': '',
    'email': 'manuel.binternagel@leipzig.de',
    'phone': '03411236000',
    'image': '99197284-a2e5-45fc-b8a2-8f21debb22a5.png',
  },
  'location': {
    'address': {
      'name': 'Volkshochschule',
      'street': 'Löhrstr.',
      'streetNo': '3-7',
      'supplement': null,
      'zipCode': '04105',
      'city': 'Leipzig',
      'state': 'Sachsen',
      'country': 'DE',
    },
    'online': false,
    'privateLocation': null,
    'url':
      'https://www.vhs-leipzig.de/p/normale-kurse/kunst-kultur-kreativitaet/kreatives-gestalten/metall-und-schmuckgestaltung/einstiegskurs-loeten-495-C-C2A1001K',
    'coordinate': {
      'type': 'Point',
      'coordinates': [
        51.3470085,
        12.3732656,
      ],
    },
  },
  'thematicFocus': [
    'SUSTAINABLE_PROCUREMENT',
    'SUSTAINABLE_LIFESTYLE',
  ],
  'activityType': 'EVENT',
  'externalId': null,
  'registerUrl': null,
  'approvedUntil': null,
  'period': {
    'permanent': false,
    'start': '2023-09-25T00:00:00+02:00',
    'end': '2023-09-25T00:00:00+02:00',
  },
  'logo': '8bf39e2d-ef0e-465f-a81c-5bc7516eb90b.png',
  'image': 'activities/act6.jpg',
  'bannerImageMode': null,
  'organisation': {
    'id': 1517,
    'name': 'Volkshochschule Leipzig',
    'logo': '75240286-d282-4fa4-9dfe-5b822eec0dee.png',
    'image': '496d800f-15f4-4aac-bd36-33f85b85ea85.png',
  },
}

export const emptyPageResponse = {
  'content': [],
  'pageable': {
    'pageNumber': 1,
    'pageSize': 1,
    'sort': [
      {
        'direction': 'ASC',
        'property': 'period.start',
        'ignoreCase': true,
        'nullHandling': 'NATIVE',
        'descending': false,
        'ascending': true,
      },
    ],
    'offset': 1,
    'paged': true,
    'unpaged': false,
  },
  'totalPages': 0,
  'totalElements': 0,
  'numberOfElements': 0,
  'size': 1,
  'number': 1,
  'sort': [
    {
      'direction': 'ASC',
      'property': 'period.start',
      'ignoreCase': true,
      'nullHandling': 'NATIVE',
      'descending': false,
      'ascending': true,
    },
  ],
  'first': true,
  'last': true,
  'empty': true,
}

export const aPageResponse = (
  content: any[],
  first?: boolean,
  last?: boolean,
  totalElements?: number,
) => ({
  'content': content,
  'pageable': {
    'pageNumber': 0,
    'pageSize': 1,
    'sort': [
      {
        'direction': 'ASC',
        'property': 'period.start',
        'ignoreCase': true,
        'nullHandling': 'NATIVE',
        'descending': false,
        'ascending': true,
      },
    ],
    'offset': 0,
    'paged': true,
    'unpaged': false,
  },
  'totalPages': 1,
  'totalElements': totalElements ?? content.length,
  'numberOfElements': content.length,
  'size': content.length,
  'number': 0,
  'sort': [
    {
      'direction': 'ASC',
      'property': 'period.start',
      'ignoreCase': true,
      'nullHandling': 'NATIVE',
      'descending': false,
      'ascending': true,
    },
  ],
  'first': first,
  'last': last,
  'empty': !!content.length,
})
